Should I Update To A Browser With TLS 1.2?

What is TLS? 

TLS is an acronym for “Transport Layer Security” and it establishes a secure, reliable and private connection. TLS is important to keep your data safe, your online payments secure, and to keep your devices safe.

Why do I need TLS 1.2?

Many services, such as PayPal, strongly encourage TLS 1.2 for transactions and soon many sites will require it to display properly. The bottom line is that TLS 1.2 will help you keep your data protected. 

Does my Browser use TLS 1.2?

Older versions of browsers do not support TLS 1.2 and should be updated. Browsers that support TLS 1.2 are Google Chrome 29 and greater, Apple Safari 7 and greater, Mozilla Firefox 57 and greater, and Microsoft Internet Explorer 8 or greater.